@import '../../../styles/variables';

.menu {
  &--expanded {
    display: flex;
    flex-direction: column-reverse;
    justify-content: space-between;
    gap: $spacing-m;
    margin-top: $spacing-l;

    @media (min-width: $mq-tab-s) {
      margin-top: 0;
      height: 85vh;
      display: grid;
      grid-template-columns: repeat(3, 1fr);
      grid-template-rows: $spacing-l $spacing-xxl 1fr 1fr;
      gap: $spacing-l;

      .menu__primary {
        grid-column: 1 / 4;
        grid-row: 3 / 4;
      }

      .menu__languages {
        grid-column: 1;
        grid-row: 2 / 3;
        z-index: 2;
      }
    }

    &__languages {
      order: 3;
    }
  }
}

.button {
  &__menu {
    display: flex;
    align-items: center;
    gap: $spacing-base;
  }

  &__close {
    color: $white;
    height: $spacing-m;
    position: absolute;
    right: $spacing-s;
    top: $spacing-s;
  }
}
